
/**
 * Class for bank (savings) accounts supporting deposit,
 * withdraw, balance inquiry, and interest.
 * 
 * @author JP Vergara 
 * @version 1.0
 */
public class SavingsAccount extends BankAccount
{
    // Savings accounts earn interest, so we need
    // an interest rate
    private double interestRate;
    

    /**
     * Constructor for objects of class SavingsAccount
     */
    public SavingsAccount()
    {
        interestRate = 1.0;
    }

    /**
     * Constructor for objects of class SavingsAccount,
     * where a rate is specified
     * 
     * @param arate  interest rate that applies to this account
     */
    public SavingsAccount( double aRate )
    {
        interestRate = aRate;
    }

    /**
     * Adds interest based on the rate
     * 
     */
    public void addInterest()
    {
        // double interest = balance*interestRate/100;
        double interest = getBalance()*interestRate/100;
        // balance = balance + interest;
        deposit( interest );
    }

}
